/*
 * SPIMaster.h
 *
 * Created: 22.05.2023 14:36:20
 *  Author: asus
 */ 

#ifndef SPIMaster_h
#define SPIMaster_h

#define DDR_SPI DDRB
#define DD_MOSI PB3
#define DD_MISO PB4
#define DD_SCK PB5
#define DD_SS PB2

#ifdef __cplusplus
extern "C" {
	#endif

	void SPI_MasterInit(void);
	void SPI_MasterTransmit(char *data, int length);
	char CRC8(char *data, int length);
	char crc8(char *data, int len);

	#ifdef __cplusplus
}
#endif

#endif
