/*
 * SPI_.c
 *
 * Created: 22.05.2023 14:31:15
 *  Author: asus
 */ 


#include <avr/io.h>
#include <stdarg.h>
#include <stddef.h>
#include "SPIMaster.h"


void Print(char *data2, int lenght){
	for(int i = 0; i < lenght; i++) {
		// Serial.print(data2[i], HEX);
		// Serial.print(" ");
	}
}

void setup()
{
	
}

int printf( const char * format, ... )
{
	char buffer[16];
	va_list args;
	va_start (args, format);
	size_t s = vsprintf (buffer,format, args);
	for(size_t i = 0; i < s; i++){
		while (!(UCSR0A & (1<<UDREn)));
		UDR0 = buffer[i];
	}
	va_end (args);
	return s;
}


int main(void)
{
	// Serial.begin(9600);
	SPI_MasterInit();
	printf("MAster Init .....");
	// Serial.println("Master Initialization ");
    while(1)
    {
        char data[] = {0x04, 0x11, 0x04, 0x05, 0x16, 0x12, 0x18, 0x11, 0x00, 0x15, 0x49, 0x50, 0x59, 0x69, 0};
        int length = sizeof(data);
		printf(data);
        // Serial.println();
        // Serial.print("Start: ");
        // Print(data, length);
        // Serial.println();

        char checking = crc8(data, length-1);
        int size = sizeof(data) / sizeof(data[0]);
        data[size - 1] = checking;
        // Serial.println(checking, HEX);
        
        // Serial.print("End: ");
        // Print(data, length);
        // Serial.println();

        SPI_MasterTransmit(data, length);
        // delay(1000);
    }
}